/* ==========================================================================
* 파    일 : TarotSelectWindow.h
* 목    적 : 타롯 카드 선택 윈도우 
* 작 성 자 : 김가람
* 작 성 일 : 2007-08-02
* 주의사항 :
*===========================================================================*/
#pragma once
#include "UIWindow.h"

class cLabel;
class cNumberEditBox;

class cTarotWindow;

class cTarotSelectWindow : public cUIWindow
{
public:
	cTarotSelectWindow();
	virtual ~cTarotSelectWindow();

	/// 선택카드 장수
	void SetSelectCardCount( unsigned int count );

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnCommand( cUINode* pnode, unsigned int id );
	void OnShow();
	void OnHide();

private:
	/// 카드선택 장수
	cLabel*		mpCount;

	/// 점집이름
	cLabel*		mpShopName;

	cTarotWindow*		mpMain;
};